package cn.com.infosec.x509;

import cn.com.infosec.util.Selector;
import java.io.IOException;
import java.security.cert.Certificate;
import java.security.cert.X509CertSelector;
import java.security.cert.X509Certificate;

public class X509CertStoreSelector extends X509CertSelector implements Selector {
   public static X509CertStoreSelector getInstance(X509CertSelector selector) {
      if (selector != null) {
         X509CertStoreSelector var1;
         X509CertStoreSelector var10000 = var1 = new X509CertStoreSelector;
         X509CertStoreSelector var10015 = var1;
         X509CertSelector var10016 = selector;
         X509CertStoreSelector var10017 = var1;
         X509CertSelector var10018 = selector;
         X509CertStoreSelector var10019 = var1;
         X509CertSelector var10020 = selector;
         X509CertStoreSelector var10021 = var1;
         X509CertSelector var10022 = selector;
         X509CertStoreSelector var10023 = var1;
         X509CertSelector var10024 = selector;
         var1.<init>();
         var1.setAuthorityKeyIdentifier(selector.getAuthorityKeyIdentifier());
         var1.setBasicConstraints(selector.getBasicConstraints());
         var1.setCertificate(selector.getCertificate());
         var1.setCertificateValid(selector.getCertificateValid());
         var1.setMatchAllSubjectAltNames(selector.getMatchAllSubjectAltNames());

         try {
            var10023.setPathToNames(var10024.getPathToNames());
            var10021.setExtendedKeyUsage(var10022.getExtendedKeyUsage());
            var10019.setNameConstraints(var10020.getNameConstraints());
            var10017.setPolicy(var10018.getPolicy());
            var10015.setSubjectPublicKeyAlgID(var10016.getSubjectPublicKeyAlgID());
         } catch (IOException var2) {
            throw new IllegalArgumentException("error in passed in selector: " + var2);
         }

         var1.setIssuer(selector.getIssuer());
         var1.setKeyUsage(selector.getKeyUsage());
         var1.setPrivateKeyValid(selector.getPrivateKeyValid());
         var1.setSerialNumber(selector.getSerialNumber());
         var1.setSubject(selector.getSubject());
         var1.setSubjectKeyIdentifier(selector.getSubjectKeyIdentifier());
         var10000.setSubjectPublicKey(selector.getSubjectPublicKey());
         return var10000;
      } else {
         throw new IllegalArgumentException("cannot create from null selector");
      }
   }

   public boolean match(Object obj) {
      return !(obj instanceof X509Certificate) ? false : super.match((X509Certificate)obj);
   }

   public boolean match(Certificate cert) {
      return this.match((Object)cert);
   }

   public Object clone() {
      return (X509CertStoreSelector)super.clone();
   }
}
